Issue with Google Maps plugin

Howdy

We've installed the Google Maps plugin on one of our sites within the http://www.gpadviser.com.au multisite - the site is http://mytops.com.au/.

The plugin is throwing an error - see the map on the http://mytops.com.au/contact-us/ page.

It looks as though there's a problem with the Google Maps API key?

We're running the latest version of the plugin 2.9.0.8.

Please have a look into it and let us know what the problem is.

Cheers
Clair

  • Rupok

    Hi TheDMA , hope you had a wonderful day.

    I checked your issue. It's because of Google API Policy change. They said:
    If you are using the Google Maps API on localhost or your domain was not active prior to June 22nd, 2016, it will require a key going forward. To fix this problem, please see the Google Maps APIs documentation to get a key and add it to your application: https://developers.google.com/maps/documentation/javascript/get-api-key

    I could not regenerate the issue on my test site, but I can confirm this on your site. So I'm flagging our developer regarding this and I believe, he will come up with a solution very soon.

    Please keep in mind, our developers work round the clock and they have to deal with lots of critical issues and other things. So it may take a little while for them to check this and provide a workaround.

    Have a nice day. Cheers!
    Rupok

  • Milan

    Hello TheDMA

    Hope you are well today and won't mind me chiming here.

    There is one updated temporary fix which you can utilise on your site if you wish to. I've attached it with this post, just replace plugin folder in /wp-content/ directory with files attached. Then,

    #1) Generate key for Google Project ( Instructions are given in option's description )
    #2) Add that key in the Settings > Google Maps > Options > Google Maps API Key ( Take a look at this screenshot )

    #3) Wait for 1 hour( Google takes this much time to activate created API key )

    Let us know how it goes.
    Best Regards,
    Milan